Get project information
By default returns the project info synchronously. If `async=true`, instead immediately returns `202` with a `Job-Id` response header and schedules a background job; poll the job endpoint for the result shown below.
By default returns the project info synchronously. If async=true,
instead immediately returns 202 with a Job-Id response header and
schedules a background job; poll the job endpoint for the result
shown below.
Authorization
SymetryMLAuth HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
User/Customer identifier
Project identifier
Query Parameters
If true, run this request as a background job instead of synchronously.
falsePass "1" to have the response include a computed hash of the project.
Response Body
application/json
application/json
curl -X GET "https://example.com/c1/projects/nbra_prj_iris/info"{ "statusCode": 200, "statusString": "OK", "values": { "smlInfo": { "pid": "prj-c1-SurvivalFrameKMTest-t30_empty_survival_frame", "isDirty": true, "modelsList": [], "modelTypeList": [], "attributeNames": [ "inst", "time", "status", "age", "sex", "ph.ecog", "ph.karno", "pat.karno", "meal.cal", "wt.loss", "dead", "groups" ], "attributeIndexes": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 ], "attributeTypes": [ "C", "C", "C", "C", "C", "C", "C", "C", "C", "C", "B", "C" ], "modelAssessments": {}, "modelPredictions": {}, "params": { "km_event_column": "dead", "km_group_column": "groups", "sml_project_km": "prj-c1-SurvivalFrameKMTest-t30_empty_survival_frame__km", "km_time_column": "time", "sml_project_power_ntot": "228", "sml_project_is_freeze": "false" }, "autoSave": true, "hash": -1, "categorySeparator": "$", "type": "cpu", "creationDate": 1755840189253, "lastModificationDate": 1755840189712, "loaded": true, "persisted": true, "histogramEnabled": false } }}{ "statusCode": 400, "statusString": "Cannot Find Project id[unknownPrj] for Customer id [c1]", "values": {}}Import project POST
Imports a previously-exported project. By default the imported project is created under the name given by the `{project}` path parameter (which must not already exist for this customer). If `otherProjectName` is supplied instead, the imported project is merged into that existing project rather than created as new, and `{project}` is ignored for that case.
Merge projects GET
Merges `otherProjectName` into the project named by the `{project}` path parameter. The other project is merged into (and no longer exists separately from) the path project.